Bug 474154 - Cannot register system
Cannot register system
Status: CLOSED NOTABUG
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Registration (Show other bugs)
rhn508
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Network Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 10:04 EST by Ian Walker
Modified: 2013-01-10 05:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-04 09:49:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Walker 2008-12-02 10:04:52 EST
Description of problem:

Each time I try to register my system it reports invalid username/password even though I know the credentials are correct.  I've logged into rhn.redhat.com without any problems, and yet rhn_register doesn't seem to want to use them.


Version-Release number of selected component (if applicable):

rhn-setup-0.4.17-8.el5


How reproducible:

Run rhn_register, choose next, and then supply credentials

  
Actual results: (from /var/log/up2date)

[Tue Dec  2 15:53:03 2008] rhn_register
Traceback (most recent call last):
  File "/usr/sbin/rhn_register", line 82, in ?
    app.run()
  File "/usr/share/rhn/up2date_client/rhncli.py", line 65, in run
    sys.exit(self.main() or 0)
  File "/usr/sbin/rhn_register", line 64, in main
    ui.main()
  File "/usr/share/rhn/up2date_client/tui.py", line 2011, in main
    tui.run()
  File "/usr/share/rhn/up2date_client/tui.py", line 1913, in run
    result = win.run()
  File "/usr/share/rhn/up2date_client/tui.py", line 462, in run
    self.passwordEntry.value())
  File "/usr/share/rhn/up2date_client/tui.py", line 66, in tui_call_wrapper
    results = func(*params)
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 888, in getPossibleOrgs
    orgsFromServer = s.registration.get_possible_orgs(username, password)
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 52, in __call__
    raise self.__exception_from_fault(f)
up2date_client.up2dateErrors.AuthenticationOrAccountCreationError: Error validating data at server:

Error Message:
    Invalid username/password combination
Error Class Code: 2
Error Class Info: Invalid username and password combination.
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.
Comment 1 Pradeep Kilambi 2008-12-02 10:12:20 EST
reassigning for RHN to look into this on the server as the account validation happens on RHN hosted. Client here is jus reporting the error returned by the server.

Thanks,
Comment 2 James Bowes 2008-12-02 13:18:49 EST
Hi Ian:

(In reply to comment #0)
> Description of problem:
> 
> Each time I try to register my system it reports invalid username/password even
> though I know the credentials are correct.  I've logged into rhn.redhat.com
> without any problems, and yet rhn_register doesn't seem to want to use them.
> 

What is your username?

> 
> Version-Release number of selected component (if applicable):
> 
> rhn-setup-0.4.17-8.el5
> 
> 
> How reproducible:
> 
> Run rhn_register, choose next, and then supply credentials
> 
> 
> Actual results: (from /var/log/up2date)
> 
> [Tue Dec  2 15:53:03 2008] rhn_register
> Traceback (most recent call last):
>   File "/usr/sbin/rhn_register", line 82, in ?
>     app.run()
>   File "/usr/share/rhn/up2date_client/rhncli.py", line 65, in run
>     sys.exit(self.main() or 0)
>   File "/usr/sbin/rhn_register", line 64, in main
>     ui.main()
>   File "/usr/share/rhn/up2date_client/tui.py", line 2011, in main
>     tui.run()
>   File "/usr/share/rhn/up2date_client/tui.py", line 1913, in run
>     result = win.run()
>   File "/usr/share/rhn/up2date_client/tui.py", line 462, in run
>     self.passwordEntry.value())
>   File "/usr/share/rhn/up2date_client/tui.py", line 66, in tui_call_wrapper
>     results = func(*params)
>   File "/usr/share/rhn/up2date_client/rhnreg.py", line 888, in getPossibleOrgs
>     orgsFromServer = s.registration.get_possible_orgs(username, password)
>   File "/usr/share/rhn/up2date_client/rhnserver.py", line 52, in __call__
>     raise self.__exception_from_fault(f)
> up2date_client.up2dateErrors.AuthenticationOrAccountCreationError: Error
> validating data at server:
> 
> Error Message:
>     Invalid username/password combination
> Error Class Code: 2
> Error Class Info: Invalid username and password combination.
> Explanation:
>      An error has occurred while processing your request. If this problem
>      persists please enter a bug report at bugzilla.redhat.com.
>      If you choose to submit the bug report, please be sure to include
>      details of what you were trying to do when this error occurred and
>      details on how to reproduce this problem.
Comment 3 Ian Walker 2008-12-02 15:07:22 EST
The username I was using is my email address that I have set up with my RHN profile: ian@lsltd.org

When I give this and the associated password to rhn_register, it doesn't work, but I can login to RHN with it perfectly fine.
Comment 4 James Bowes 2008-12-04 08:10:26 EST
(In reply to comment #3)
> The username I was using is my email address that I have set up with my RHN
> profile: ian@lsltd.org
> 
> When I give this and the associated password to rhn_register, it doesn't work,
> but I can login to RHN with it perfectly fine.

Ah, I think I know what's going on here. rhn_register only understands logging in with your username, not your email address. Can you try again with your username and see if that works?

If so, we can then change this bug's subject to allowing people to use rhn_register with their email/password as well as username/password
Comment 5 Ian Walker 2008-12-04 09:11:23 EST
Is there any way I can find out what the username is?  I've always used the email address to login to the website.  I've tried to locate under the profile, but can't seem to see it.
Comment 6 Ian Walker 2008-12-04 09:12:47 EST
Actually, I've just found it now :-)

I will connect from home shortly, and update to see if this works OK with the username instead.

It would be good to allow us to use email address as well, I expect there's a few questions about it perhaps.

Many thanks.
Comment 7 Amy Owens 2008-12-04 09:49:37 EST
So we have to enforce username and not allow you to use email address here as there are ways to get accounts with the same email address
Comment 8 Ian Walker 2008-12-06 13:56:53 EST
Confirmed that username works fine.

Note You need to log in before you can comment on or make changes to this bug.